function [output1,output2,output3] = myfunction(input1,input2)

% myfunction - calculate trace, det and and transpose of sum of two
% matrices
% -----------------------------------------------------------------
%
% [output1,output2,output3] = myfunction(input1,input2)
%
% Input:
% ------
%  input1 - input array 1
%  input2 - input array 2
%
% Output:
% -------
%  output1 - trace of sum of two matrices
%  output2 - determinant of sum of two matrices
%  output3 - transpose of sum of two matrices

A=input1+input2;
output1=trace(A);
output2=det(A);
output3=A';