%% MATLAB Desktop
% First show how to allow full filenames in Windows, how to set up a
% directory, etc. associated with a new project and how to open MATLAB.

% Command Window:
% ans
1+1
% ... (continuation lines)
1+1 ...
    +1
% assignment
a=1+1
% suppressing output
a=1+1;
% note ans variable
% using the arrow keys to recall previous commands, edit them and run them
% m files

% Command History Window:
% you can delete specific ones

% Start Button

% Edit Debug Window:
% echo on allows statements in a function to be displayed during their
% execution, which can be useful for debugging or demonstration purposes
% colour codes -- profiler

% Figure Windows

% Workspace Browser:
% double clicking on an item allows us to give it a new value
% note the use of whos to list the contents of the workspace:
whos

% Help Browser:
% Select [?] icon or type helpdesk or helpwin.
% Demos: type demo or select demos from the start button
% Online help: www.mathworks.com
% At the command prompt, you can type help to get a list of topics or help
% topic, e.g. help mean. You can also try the lookfor inverse

% Path Browser:
% Note that if one of your variables has the same name as an m-file or a
% MATLAB instruction, you can't access that m-file or MATLAB instruction.
% The first thing MATLAB does is checks to see if it's a variable name,
% then as an m-file in the current directory and finally as an m-file in
% the directories in the search path.
% NB: try Start->Desktop Tools->Path
% Note: addpath (adds a directory to the MATLAB search path), path
% (displays MATLAB search path), parh2rc (adds current path to MATLAB
% search path), rmpath (removes directory from MATLAB search path), pwd
% (prints current directory) and cd (changes directory)

% Miscellaneous Commands:
% clc, clf, clear all and close all
% If a command is taking to long, you may abort by holding Ctrl and
% pressing C. Finally note diary filename, diary off and diary on.