%% MATLAB Data
clear all
clc
var1 = ones(40,1);
var2=zeros(50,2);
var3=nan(20,3);
var4=5;
save filename
clear all
load filename
% To save variables var1 and var2 into a file called "filename.mat":
save filename var1 var2
clear all
load filename
clear all
% To load the specfic variable var1 from the file into the workspace:
load filename var1
clear all

% Importing from excel. Can use File --> Import Data... or:
% data=xlsread(filename,sheet,'range')
data=xlsread('x20.xls',1,'A1:A15')

clear all
a=ones(40,1)
b=randn(40,1)
c = zeros(40,1)
c(1:5)=1
d=ones(40,1)*5
M=[a b c d]

% Exporting data to EXCEL, STATA, etc. 
% xlswrite('filename',M) writes the matrix M to the file filename in the
% current working directory
xlswrite('myfile',M)
% cvswrite('filename',M)  does the same. This format works for STATA.
csvwrite('myfile',M)
clear all
data=xlsread('myfile.xls')
a = data(:,1);
b = data(:,2);
c = data(:,3);
d = data(:,4);
save('simplefile','a','b','c','d')
% Do-It-Yourself EXERCISE:
% See also section 3.2 in Frain (2010) and the file g10xrate.xls
% This should be fairly straightforward and I leave it as an exercise.

% uiimport('data.mat')
uiimport
% note use of textscan and textread but uiimport usually good enough and
% using import wizard is recommended.
help textscan
help textread

% Note Stat/Transfer allows transfer of data files between a large number
% of statistical packages.

% Recommend the publishing video and rapid code iteration. END.
% Go through Publisher (in editor). How to
% publish in html, doc, ppt, xml, LaTeX... Cells. Create a file:

%% Title
% Description.

% $$y_t=x_t^2+\eps$$ 

%% Cell/Section Heading
% * bullet 1
% * bullet 2
% Use |Monospace| or *bold*
b=ones(1,32)/32
%%
% To get the following hyperlink text, right click in your editor where you want
% to insert a text markup --> Insert Text Markup --> Hyperlinked text
% <http://www.mathworks.com The MathWorks>
%%
% Comments in a cell without a header.

%% Customised publish file
% Particularly useful for functions requiring inputs. See the publishing
% video. When editing the publish command, go to the MATLAB expression box
% and in the bottom, you can type the input, e.g.
% plotresults('Oct-25-2007')
% You can also create multiple configurations for the same file by going to
% the editing publish command and clicking on the + sign on the bottom RHS.
% You can also use the publish command straight from the command line.